### Method

# Camel MessageInfo get_uid

since: 3.24

#### Declaration [src]

    const gchar*
    camel_message_info_get_uid (
      const CamelMessageInfo* mi
    )

#### Description [src]

Get the UID of the #mi.

Available since: 3.24

Gets property | `Camel.MessageInfo:uid`

#### Return value

Type: `const gchar*`

The UID of the `mi`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.